html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

html, body {  
height: 100vh;
margin: 0;
padding: 0;
}
body {font-size: 24px;}
/*div#container{position:relative;margin:0;padding:24px 4px 0 4px;}*/

.bgImage{
background-image: url("/css/zee-small.jpg");
background-color: #cccccc;
height: 100%;
background-position: center;
background-repeat: no-repeat;
background-size: cover;
position: relative;
}

.divPlacement {
position:absolute;
padding-top: 0;
top:40px;
}

.divSize{
height:auto;
width:100vw;
}
/*.grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
}
*/
.black{border: solid 2px black;}
.green{border: solid 2px green;}
.red{border: solid 2px red;}
.orange{border: solid 2px orange;}


button {
  font-size: 18px;
  display:block;
}

/*.active {
	background-color: #8DFF62 !important;
}
*/



.divMenu{
position:relative;
margin:auto;
z-index:100;
/*top:0;
left:0;*/
font-size: 24px;
text-align:center;
background:azure;
}
.menu_wrap{
width:50px;
margin:auto;
}
.menu_icon{
width:40px;
height:6px;
background:black;
margin: 6px 0;
}

#menu_enter:hover .menu_icon{
background: #8DFF62 !important;
}

.fixed {position:fixed;top:30px;height:100%;}
.absolute {position:absolute;height:calc(100% - 30px);overflow-y:auto;}

.projectsMenu{
z-index: 100;
padding-left: 10px;
font-size: 24px;
}

#projectsContainer{
display:flex;
flex-wrap:wrap; 
}

#canvas-container{
  margin: auto;
  padding: 0;
  height: 92px;
  width: 350px;
  }
#playhead-canvas{
  height: 100px;
  width: 100%;
  position: relative;
  }
#audio-container{
  margin: auto;
  width: 600px;
  padding-top: -10;
  position: relative;
  width: 100%;
  height:40px;
  }

#audioplayer{
position: relative;
max-width: 100%;
background-color: rgba(0,0,0,0.5);
  background-size: 100vw;
  height: 100vh;

  margin: auto;
}
.playlist_color{
color:white;
}
audio{
top: 0;
width:100%;
}
#audioplaylist{
position: relative;
max-width: 100%;
margin: auto;
width: 350px;
font-size: 1.2em;
padding: 10px;
}
#audio-background{
border:4px black solid;
border-radius: 10px;
width: 350px;
max-width:100%;
margin: auto;
}
.videoPlaylist{
position: relative;
margin: auto;
width: 375px;
max-width:90vw;
font-size: 1.2em;
padding: 10px;
}
#videoplayer{
width: 375px;
border: 2px solid black;
border-radius:10px;
position: relative;
max-width:90vw;
margin: auto;
}

#myvideo{
display:block;
margin:auto;
max-width:100%;
height:300px;
}

#perfvideo{
display:block;
margin:auto;
max-width:100%;
}

.tooltip {
  position: relative;
  display: block;
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  width: auto;
  color:white;
  background-color:rgba(0,0,0,0.8);
  text-align: center;
  border-radius: 6px;
 
  /* Position the tooltip text - see examples below! */
  position: absolute;
  top:0;
  float:right;
  padding-left:10px;
  z-index: 1;
}
/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

.active, .activeVideo, .videoFile:hover, .activeAudio, .audioFile:hover, .menuButton:hover{
color:#595958;
background-color: #8DFF62 !important;
}

.projectTitle{font-size:1.7em;font-weight: bold;text-align: center;color:#8DFF62;background-color: black;padding:20px;font-family:"Comic Sans MS", cursive, sans-serif;}
.projectTitle img{max-width:100%;padding: 10px;}
.projectType{font-size:1.0em;font-weight: bold;padding: 8px 10vw;text-align:left;}
.projectLength{font-size:1.0em;font-weight: bold;padding: 8px 10vw;}
.projectSubtitle{font-size:1.0em;padding: 8px 10vw;text-align:left;}
.projectContent{text-align: justify;hyphens: auto;padding:8px 0}
.projectContent p{padding: 0 10vw;}
.line{background-color: rgba(141, 255, 98, 0.3000);
border-top: 6px dotted rgba(141, 255, 98, 1.0000);
height: 6px;
width:auto;
position: relative;
z-index:-1;
margin: 0 10vw;
}
.projectHeight{height:auto;min-height:100vh;}
#showHide{}
.showHide{height:auto;min-height:100vh;width:100vw;}
.project{display: inline-block; padding:0 8px 0 0;background-color: orange;}
.hide{display:none;}
.show{display:block;}



.page {
  -webkit-transition: height .3s ease;
  height: auto;
  overflow: auto;
width:100vw;
min-height: 100vh;
padding: 8px 12px 8px 0px;
}

/*.page:not(:nth-child(-n+1) ) {
	display: none;
}
*/
.hv100{min-height:100vh;}

.projectsGrid {
    display: grid ;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 10px;
}

.projectsFlex {
display: flex;
justify-content: center;
gap: 10px;
}
.pictureMenu{
  position: absolute;
  top: 0;
  left: 0;
  bottom:0;
  right:0;
  }
/*.projectsGridChild{
position: relative;
height: 265px;
margin:0 1% 0;
width:200px;
align-items:center;
justify-content:center;
display:flex;
}
.projectsGridChild img{
height: 200px;
position: absolute;
top: 0;
left: 0;
right: 0;
bottom: 0;
width:200px;
object-fit:cover;
}

.projectsGridChild p{
position: relative;
z-index: 1 !important;
text-align: center;
color:#8DFF62;
max-width:150px;
background-color: rgba(64, 62, 62, 0.36);
border-radius:25px;
}
*/
#archiveContent{
overflow:auto;
height:auto;
}
.menuTitle{
font-size: 1em;
font-weight: bold;
text-align: center;
color: #8DFF62;
background-color: darkgray;
font-family: "Arial";
}
.menuTitle p{
position:relative;
z-index: 1;
}
.pointer {cursor:pointer;}



.gray1{
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#7d7e7d+0,0e0e0e+100;Black+3D */
background: rgb(125,126,125); /* Old browsers */
background: -moz-linear-gradient(left,  rgba(125,126,125,1) 0%, rgba(14,14,14,1) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(left,  rgba(125,126,125,1) 0%,rgba(14,14,14,1) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to right,  rgba(125,126,125,1) 0%,rgba(14,14,14,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}
.gray2{
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#959595+0,0d0d0d+46,010101+50,0a0a0a+53,4e4e4e+76,383838+87,1b1b1b+100&1+0,0.48+20,1+100;Black+Gloss+Pipe */
background: -moz-linear-gradient(left,  rgba(149,149,149,1) 0%, rgba(90,90,90,0.48) 20%, rgba(13,13,13,0.65) 46%, rgba(1,1,1,0.68) 50%, rgba(10,10,10,0.7) 53%, rgba(78,78,78,0.85) 76%, rgba(56,56,56,0.92) 87%, rgba(27,27,27,1) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(left,  rgba(149,149,149,1) 0%,rgba(90,90,90,0.48) 20%,rgba(13,13,13,0.65) 46%,rgba(1,1,1,0.68) 50%,rgba(10,10,10,0.7) 53%,rgba(78,78,78,0.85) 76%,rgba(56,56,56,0.92) 87%,rgba(27,27,27,1) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to right,  rgba(149,149,149,1) 0%,rgba(90,90,90,0.48) 20%,rgba(13,13,13,0.65) 46%,rgba(1,1,1,0.68) 50%,rgba(10,10,10,0.7) 53%,rgba(78,78,78,0.85) 76%,rgba(56,56,56,0.92) 87%,rgba(27,27,27,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}
.gray3{
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#7d7e7d+0,0e0e0e+100;Black+3D */
background: rgb(125,126,125); /* Old browsers */
background: -moz-radial-gradient(center, ellipse cover,  rgba(125,126,125,1) 0%, rgba(14,14,14,1) 100%); /* FF3.6-15 */
background: -webkit-radial-gradient(center, ellipse cover,  rgba(125,126,125,1) 0%,rgba(14,14,14,1) 100%); /* Chrome10-25,Safari5.1-6 */
background: radial-gradient(ellipse at center,  rgba(125,126,125,1) 0%,rgba(14,14,14,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}
.sky1{
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#c99588+0,e2dfb1+30,dfefdc+50,9acbce+53,4e4e4e+76,383838+87,f7e8ec+100&1+0,0.48+24,0.25+44,0.19+95,0.48+100 */
background: -moz-linear-gradient(left,  rgba(201,149,136,1) 0%, rgba(221,208,169,0.48) 24%, rgba(226,223,177,0.41) 30%, rgba(224,234,207,0.25) 44%, rgba(223,239,220,0.24) 50%, rgba(154,203,206,0.24) 53%, rgba(78,78,78,0.21) 76%, rgba(56,56,56,0.2) 87%, rgba(174,164,167,0.19) 95%, rgba(247,232,236,0.48) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(left,  rgba(201,149,136,1) 0%,rgba(221,208,169,0.48) 24%,rgba(226,223,177,0.41) 30%,rgba(224,234,207,0.25) 44%,rgba(223,239,220,0.24) 50%,rgba(154,203,206,0.24) 53%,rgba(78,78,78,0.21) 76%,rgba(56,56,56,0.2) 87%,rgba(174,164,167,0.19) 95%,rgba(247,232,236,0.48) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to right,  rgba(201,149,136,1) 0%,rgba(221,208,169,0.48) 24%,rgba(226,223,177,0.41) 30%,rgba(224,234,207,0.25) 44%,rgba(223,239,220,0.24) 50%,rgba(154,203,206,0.24) 53%,rgba(78,78,78,0.21) 76%,rgba(56,56,56,0.2) 87%,rgba(174,164,167,0.19) 95%,rgba(247,232,236,0.48) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}
.sky2{/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#c99588+0,f7e8ec+0,e2dfb1+14,86c99a+26,94ddd7+26,c3e59e+40,ef6277+48,86c99a+53,f7e8ec+63,86c99a+67,86c99a+67,86c99a+70,9ec2d3+78,9acbce+78,9acbce+82,f7e8ec+91,f7e8ec+91&1+0,0.55+0,0.48+24,0.5+44,0.3+48,0.19+87,0.6+87 */
background: linear-gradient(to bottom,  rgba(247,232,236,0.55) 0%,rgba(226,223,177,0.51) 14%,rgba(161,221,209,0.48) 24%,rgba(148,221,215,0.48) 26%,rgba(195,229,158,0.5) 40%,rgba(217,164,139,0.5) 44%,rgba(239,98,119,0.3) 48%,rgba(134,201,154,0.34) 53%,rgba(247,232,236,0.42) 63%,rgba(134,201,154,0.45) 67%,rgba(134,201,154,0.47) 70%,rgba(154,203,206,0.53) 78%,rgba(154,203,206,0.56) 82%,rgba(206,219,223,0.6) 87%,rgba(247,232,236,0.6) 91%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}

.white1{
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,f71c00+18,8af78e+24,ffffff+49,ffffff+71,f9b077+100&0.65+0,0+10,0.12+26,0.24+50,0.3+67,0.13+100 */
background: -moz-linear-gradient(left,  rgba(255,255,255,0.65) 0%, rgba(251,129,113,0) 10%, rgba(247,28,0,0.06) 18%, rgba(138,247,142,0.11) 24%, rgba(147,248,151,0.12) 26%, rgba(255,255,255,0.24) 49%, rgba(255,255,255,0.24) 50%, rgba(255,255,255,0.3) 67%, rgba(255,255,255,0.28) 71%, rgba(249,176,119,0.13) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(left,  rgba(255,255,255,0.65) 0%,rgba(251,129,113,0) 10%,rgba(247,28,0,0.06) 18%,rgba(138,247,142,0.11) 24%,rgba(147,248,151,0.12) 26%,rgba(255,255,255,0.24) 49%,rgba(255,255,255,0.24) 50%,rgba(255,255,255,0.3) 67%,rgba(255,255,255,0.28) 71%,rgba(249,176,119,0.13) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to right,  rgba(255,255,255,0.65) 0%,rgba(251,129,113,0) 10%,rgba(247,28,0,0.06) 18%,rgba(138,247,142,0.11) 24%,rgba(147,248,151,0.12) 26%,rgba(255,255,255,0.24) 49%,rgba(255,255,255,0.24) 50%,rgba(255,255,255,0.3) 67%,rgba(255,255,255,0.28) 71%,rgba(249,176,119,0.13) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}




.projectcontainer {
/*    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;*/
    display: grid;
  gap: 16px;
  padding: 16px;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  align-items: start;
}

.projectitem {
/*   flex: 0 0 calc(25% - 20px); /* 25% width with 20px margin on each side 
    margin: 10px;
    text-align: center;
    position: relative;
    box-sizing: border-box; /* Include margin in the width calculation */
display: flex;
  flex-direction: column;
  max-height: 300px;
  overflow: hidden;
}

.projectimage {
/*    max-width: 100%;
    height: auto;
    display: block;
    min-width:300px; */
    width: 100%;
  max-height: 70%;
  object-fit: cover;
  height: calc(300px - 60px);
  }


.projecttext {
  font-size: 1rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  height: 60px;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
     box-sizing: border-box; /* Include padding in the width calculation */

}
/* Media queries for different viewports */
@media (max-width: 992px) {
    .projectitem {
        flex: 0 0 calc(50% - 20px); /* 50% width with 20px margin on each side */
    }
}

@media (max-width: 380px) {
    .projectitem {
        flex: 0 0 calc(100% - 20px); /* 100% width with 20px margin on each side */
    }
}


/*start of wavesurfer css*/
   #waveform {
      cursor: pointer;
      position: relative;
    }
    #hover {
      position: absolute;
      left: 0;
      top: 0;
      z-index: 10;
      pointer-events: none;
      height: 100%;
      width: 0;
      mix-blend-mode: overlay;
      background: rgba(255, 255, 255, 0.5);
      opacity: 0;
      transition: opacity 0.2s ease;
    }
    #waveform:hover #hover {
      opacity: 1;
    }
    #time,
    #duration {
      position: absolute;
      z-index: 11;
      top: 50%;
      margin-top: -1px;
      transform: translateY(-50%);
      font-size: 11px;
      background: rgba(0, 0, 0, 0.75);
      padding: 2px;
      color: #ddd;
    }
    #time {
      left: 0;
    }
    #duration {
      right: 0;
    }